Package writer2latex.latex

# Class LaTeXConfig

java.lang.Object
writer2latex.base.ConfigBase
writer2latex.latex.LaTeXConfig

All Implemented Interfaces:
  `Config`

public class LaTeXConfig extends ConfigBase

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`ACCEPT`
`static final int`
`COMMENT`
`static final int`
`CONVERT_ALL`
`static final int`
`CONVERT_BASIC`
`static final int`
`CONVERT_GEOMETRY`
`static final int`
`CONVERT_HEADER_FOOTER`
`static final int`
`CONVERT_MOST`
`static final int`
`CUSTOM`
`static final int`
`DVIPS`
`static final int`
`ERROR`
`static final int`
`GENERIC`
`static final int`
`IGNORE`
`static final int`
`IGNORE_ALL`
`static final int`
`IGNORE_MOST`
`static final int`
`MARGINPAR`
`static final int`
`PDFANNOTATION`
`static final int`
`PDFTEX`
`static final int`
`UNSPECIFIED`
`static final int`
`WARNING`
`static final int`
`XETEX`

### Fields inherited from class writer2latex.base.ConfigBase

`optionGroups, options`

## Constructor Summary

Constructors
Constructor
Description
`LaTeXConfig()`
Construct a new `LaTeXConfig` with default values for all options

## Method Summary

Modifier and Type
Method
Description
`boolean`
`alignFrames()`
`String`
`bibtexStyle()`
`boolean`
`debug()`
`boolean`
`displayHiddenText()`
`String`
`externalBibtexFiles()`
`boolean`
`floatFigures()`
`boolean`
`floatTables()`
`int`
`formatting()`
`int`
`getBackend()`
`int`
`getBibtexEncoding()`
`String`
`getCustomPreamble()`
`protected String`
`getDefaultConfigPath()`
`String`
`getDocumentclass()`
`String`
`getFigureSequenceName()`
`String`
`getFloatOptions()`
`String`
`getFont()`
`String`
`getGlobalOptions()`
`HeadingMap`
`getHeadingMap()`
`String`
`getImageOptions()`
`int`
`getInputencoding()`
`StyleMap`
`getListItemStyleMap()`
`StyleMap`
`getListStyleMap()`
`Map<String,String>`
`getMathSymbols()`
`String`
`getNatbibOptions()`
`String`
`getNotesCommand()`
`String`
`getOption(String sName)`
Get a named option
`protected int`
`getOptionCount()`
`StyleMap`
`getParBlockStyleMap()`
`StyleMap`
`getParStyleMap()`
`int`
`getSimpleTableLimit()`
`ReplacementTrie`
`getStringReplace()`
`String`
`getTableFirstHeadStyle()`
`String`
`getTableFootStyle()`
`String`
`getTableHeadStyle()`
`String`
`getTableLastFootStyle()`
`String`
`getTableSequenceName()`
`String`
`getTabstop()`
`StyleMap`
`getTextAttributeStyleMap()`
`StyleMap`
`getTextStyleMap()`
`int`
`getWrapLinesAfter()`
`boolean`
`greekMath()`
`boolean`
`ignoreDoubleSpaces()`
`boolean`
`ignoreEmptyParagraphs()`
`boolean`
`ignoreHardLineBreaks()`
`boolean`
`ignoreHardPageBreaks()`
`int`
`imageContent()`
`boolean`
`includeOriginalCitations()`
`String`
`jabrefBibtexFiles()`
`boolean`
`metadata()`
`boolean`
`multilingual()`
`boolean`
`noIndex()`
`boolean`
`noPreamble()`
`int`
`notes()`
`boolean`
`oldMathColors()`
`boolean`
`originalImageSize()`
`int`
`otherStyles()`
`int`
`pageFormatting()`
`protected void`
`readInner(Element elm)`
Read configuration information from an xml element.
`boolean`
`removeGraphicsExtension()`
`boolean`
`saveImagesInSubdir()`
`void`
`setOption(String sName, String sValue)`
Set a name/value option.
`boolean`
`splitLinkedSections()`
`boolean`
`splitToplevelSections()`
`int`
`tableContent()`
`boolean`
`useBbding()`
`boolean`
`useBibtex()`
`boolean`
`useCaption()`
`boolean`
`useColor()`
`boolean`
`useColortbl()`
`boolean`
`useEndnotes()`
`boolean`
`useEurosym()`
`boolean`
`useFancyhdr()`
`boolean`
`useGeometry()`
`boolean`
`useHyperref()`
`boolean`
`useIfsym()`
`boolean`
`useLastpage()`
`boolean`
`useLongtable()`
`boolean`
`useNatbib()`
`boolean`
`useOoomath()`
`boolean`
`usePifont()`
`boolean`
`useSupertabular()`
`boolean`
`useTabulary()`
`boolean`
`useTipa()`
`boolean`
`useTitleref()`
`boolean`
`useTitlesec()`
`boolean`
`useTitletoc()`
`boolean`
`useUlem()`
`boolean`
`useWasysym()`
`protected void`
`writeInner(Document dom)`
Write configuration information to an xml document.
`String`
`zoteroBibtexFiles()`

### Methods inherited from class writer2latex.base.ConfigBase

`addComplexOption, getComplexOption, read, read, readDefaultConfig, write, write`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### GENERIC

public static final int GENERIC

See Also:
  - Constant Field Values

### DVIPS

public static final int DVIPS

See Also:
  - Constant Field Values

### PDFTEX

public static final int PDFTEX

See Also:
  - Constant Field Values

### UNSPECIFIED

public static final int UNSPECIFIED

See Also:
  - Constant Field Values

### XETEX

public static final int XETEX

See Also:
  - Constant Field Values

### IGNORE_ALL

public static final int IGNORE_ALL

See Also:
  - Constant Field Values

### IGNORE_MOST

public static final int IGNORE_MOST

See Also:
  - Constant Field Values

### CONVERT_BASIC

public static final int CONVERT_BASIC

See Also:
  - Constant Field Values

### CONVERT_MOST

public static final int CONVERT_MOST

See Also:
  - Constant Field Values

### CONVERT_ALL

public static final int CONVERT_ALL

See Also:
  - Constant Field Values

### CONVERT_HEADER_FOOTER

public static final int CONVERT_HEADER_FOOTER

See Also:
  - Constant Field Values

### CONVERT_GEOMETRY

public static final int CONVERT_GEOMETRY

See Also:
  - Constant Field Values

### IGNORE

public static final int IGNORE

See Also:
  - Constant Field Values

### ACCEPT

public static final int ACCEPT

See Also:
  - Constant Field Values

### WARNING

public static final int WARNING

See Also:
  - Constant Field Values

### ERROR

public static final int ERROR

See Also:
  - Constant Field Values

### COMMENT

public static final int COMMENT

See Also:
  - Constant Field Values

### PDFANNOTATION

public static final int PDFANNOTATION

See Also:
  - Constant Field Values

### MARGINPAR

public static final int MARGINPAR

See Also:
  - Constant Field Values

### CUSTOM

public static final int CUSTOM

See Also:
  - Constant Field Values

## Constructor Details

### LaTeXConfig

public LaTeXConfig()
Construct a new `LaTeXConfig` with default values for all options

## Method Details

### getOptionCount

protected int getOptionCount()

Specified by:
  `getOptionCount` in class `ConfigBase`

### getDefaultConfigPath

protected String getDefaultConfigPath()

Specified by:
  `getDefaultConfigPath` in class `ConfigBase`

### setOption

public void setOption(String sName, String sValue)
Description copied from interface: `Config`
Set a name/value option. Options that are not defined by the `Converter` implementation as well as null values are silently ignored

Specified by:
  `setOption` in interface `Config`
Overrides:
  `setOption` in class `ConfigBase`
Parameters:
  `sName` - the name of the option
  `sValue` - the value of the option

### getOption

public String getOption(String sName)
Description copied from interface: `Config`
Get a named option

Specified by:
  `getOption` in interface `Config`
Overrides:
  `getOption` in class `ConfigBase`
Parameters:
  `sName` - the name of the option
Returns:
  the value of the option, or `null` if the option does not exist or the given name is null

### readInner

protected void readInner(Element elm)
Description copied from class: `ConfigBase`
Read configuration information from an xml element. The subclass must define this to read richer configuration data

Specified by:
  `readInner` in class `ConfigBase`

### writeInner

protected void writeInner(Document dom)
Description copied from class: `ConfigBase`
Write configuration information to an xml document. The subclass must define this to write richer configuration data

Specified by:
  `writeInner` in class `ConfigBase`

### getHeadingMap

public HeadingMap getHeadingMap()

### getParStyleMap

public StyleMap getParStyleMap()

### getParBlockStyleMap

public StyleMap getParBlockStyleMap()

### getListStyleMap

public StyleMap getListStyleMap()

### getListItemStyleMap

public StyleMap getListItemStyleMap()

### getTextAttributeStyleMap

public StyleMap getTextAttributeStyleMap()

### getTextStyleMap

public StyleMap getTextStyleMap()

### getStringReplace

public ReplacementTrie getStringReplace()

### getMathSymbols

public Map<String,String> getMathSymbols()

### getCustomPreamble

public String getCustomPreamble()

### debug

public boolean debug()

### getDocumentclass

public String getDocumentclass()

### getGlobalOptions

public String getGlobalOptions()

### getBackend

public int getBackend()

### getInputencoding

public int getInputencoding()

### multilingual

public boolean multilingual()

### greekMath

public boolean greekMath()

### noPreamble

public boolean noPreamble()

### noIndex

public boolean noIndex()

### useOoomath

public boolean useOoomath()

### usePifont

public boolean usePifont()

### useIfsym

public boolean useIfsym()

### useWasysym

public boolean useWasysym()

### useBbding

public boolean useBbding()

### useEurosym

public boolean useEurosym()

### useTipa

public boolean useTipa()

### useColor

public boolean useColor()

### useColortbl

public boolean useColortbl()

### useGeometry

public boolean useGeometry()

### useFancyhdr

public boolean useFancyhdr()

### useTitlesec

public boolean useTitlesec()

### useTitletoc

public boolean useTitletoc()

### useHyperref

public boolean useHyperref()

### useCaption

public boolean useCaption()

### useLongtable

public boolean useLongtable()

### useSupertabular

public boolean useSupertabular()

### useTabulary

public boolean useTabulary()

### useEndnotes

public boolean useEndnotes()

### useUlem

public boolean useUlem()

### useLastpage

public boolean useLastpage()

### useTitleref

public boolean useTitleref()

### useBibtex

public boolean useBibtex()

### bibtexStyle

public String bibtexStyle()

### externalBibtexFiles

public String externalBibtexFiles()

### getBibtexEncoding

public int getBibtexEncoding()

### zoteroBibtexFiles

public String zoteroBibtexFiles()

### jabrefBibtexFiles

public String jabrefBibtexFiles()

### includeOriginalCitations

public boolean includeOriginalCitations()

### useNatbib

public boolean useNatbib()

### getNatbibOptions

public String getNatbibOptions()

### getFont

public String getFont()

### formatting

public int formatting()

### pageFormatting

public int pageFormatting()

### otherStyles

public int otherStyles()

### imageContent

public int imageContent()

### tableContent

public int tableContent()

### getTableFirstHeadStyle

public String getTableFirstHeadStyle()

### getTableHeadStyle

public String getTableHeadStyle()

### getTableFootStyle

public String getTableFootStyle()

### getTableLastFootStyle

public String getTableLastFootStyle()

### ignoreHardPageBreaks

public boolean ignoreHardPageBreaks()

### ignoreHardLineBreaks

public boolean ignoreHardLineBreaks()

### ignoreEmptyParagraphs

public boolean ignoreEmptyParagraphs()

### ignoreDoubleSpaces

public boolean ignoreDoubleSpaces()

### displayHiddenText

public boolean displayHiddenText()

### alignFrames

public boolean alignFrames()

### floatFigures

public boolean floatFigures()

### floatTables

public boolean floatTables()

### getFloatOptions

public String getFloatOptions()

### getFigureSequenceName

public String getFigureSequenceName()

### getTableSequenceName

public String getTableSequenceName()

### getImageOptions

public String getImageOptions()

### removeGraphicsExtension

public boolean removeGraphicsExtension()

### originalImageSize

public boolean originalImageSize()

### getSimpleTableLimit

public int getSimpleTableLimit()

### notes

public int notes()

### getNotesCommand

public String getNotesCommand()

### metadata

public boolean metadata()

### getTabstop

public String getTabstop()

### getWrapLinesAfter

public int getWrapLinesAfter()

### splitLinkedSections

public boolean splitLinkedSections()

### splitToplevelSections

public boolean splitToplevelSections()

### saveImagesInSubdir

public boolean saveImagesInSubdir()

### oldMathColors

public boolean oldMathColors()